# Uses of Class
org.jmol.script.SV

Packages that use SV
Package
Description
org.jmol.api
org.jmol.dssx
org.jmol.script
org.jmol.scriptext
org.jmol.util
org.jmol.viewer

## Uses of SV in org.jmol.api

Methods in org.jmol.api that return SV
Modifier and Type
Method
Description
`abstract SV`
JmolViewer.`evaluateExpressionAsVariable(Object expression)`
Methods in org.jmol.api that return types with arguments of type SV
Modifier and Type
Method
Description
`Lst<SV>`
JmolAnnotationParser.`initializeAnnotation(SV objAnn, int type, int modelIndex)`
Methods in org.jmol.api with parameters of type SV
Modifier and Type
Method
Description
`String`
JmolAnnotationParser.`catalogStructureUnits(Viewer vwr, SV svMap, int[] modelAtomIndices, Map<String,int[]> resMap, Object object, Map<String,Integer> modelMap)`
`Lst<Object>`
JmolAnnotationParser.`catalogValidations(Viewer vwr, SV validation, int[] modelAtomIndices, Map<String,int[]> valResMap, Map<String,Integer> map, Map<String,Integer> modelMap)`
`void`
JmolAnnotationParser.`fixAtoms(int modelIndex, SV v, BS bsAddedMask, int type, int margin)`
`String`
JmolAnnotationParser.`getAnnotationInfo(Viewer vwr, SV a, String match, int type, int modelIndex)`
`Lst<SV>`
JmolAnnotationParser.`initializeAnnotation(SV objAnn, int type, int modelIndex)`
Method parameters in org.jmol.api with type arguments of type SV
Modifier and Type
Method
Description
`boolean`
JmolScriptEvaluator.`checkSelect(Map<String,SV> h, T[] where)`

## Uses of SV in org.jmol.dssx

Methods in org.jmol.dssx that return types with arguments of type SV
Modifier and Type
Method
Description
`Lst<SV>`
AnnotationParser.`initializeAnnotation(SV objAnn, int type, int modelIndex)`
We create a main list of mappings, where each mapping has _atoms and _path
Methods in org.jmol.dssx with parameters of type SV
Modifier and Type
Method
Description
`String`
AnnotationParser.`catalogStructureUnits(Viewer viewer, SV map0, int[] modelAtomIndices, Map<String,int[]> resMap, Object object, Map<String,Integer> modelMap)`
RNA3D --
`Lst<Object>`
AnnotationParser.`catalogValidations(Viewer viewer, SV map0, int[] modelAtomIndices, Map<String,int[]> resMap, Map<String,Integer> atomMap, Map<String,Integer> modelMap)`
Returns a Lst
`void`
AnnotationParser.`fixAtoms(int modelIndex, SV dbObj, BS bsAddedMask, int type, int margin)`
Adjusts _atoms bitset to account for added hydrogen atoms.
`String`
AnnotationParser.`getAnnotationInfo(Viewer vwr, SV a, String match, int type, int modelIndex)`
Get a string report of annotation data
`Lst<SV>`
AnnotationParser.`initializeAnnotation(SV objAnn, int type, int modelIndex)`
We create a main list of mappings, where each mapping has _atoms and _path

## Uses of SV in org.jmol.script

Classes in org.jmol.script that implement interfaces with type arguments of type SV
Modifier and Type
Class
Description
`protected class`
`SV.Sort`
Fields in org.jmol.script declared as SV
Modifier and Type
Field
Description
`static final SV`
SV.`vF`
`static final SV`
SV.`vNaN`
`static final SV`
SV.`vT`
Fields in org.jmol.script with type parameters of type SV
Modifier and Type
Field
Description
`Map<String,SV>`
ScriptParam.`contextVariables`
`Map<String,SV>`
ScriptContext.`vars`
Methods in org.jmol.script that return SV
Modifier and Type
Method
Description
`SV`
SV.`arrayToList(SV target)`
`static SV`
SV.`concatList(SV x1, SV x2, boolean asNew)`
`static SV`
SV.`copySafely(SV v)`
Make a copy if this is a variable -- if it has myName != null.
`static SV`
SV.`getBoolean(boolean value)`
`SV`
ScriptParam.`getCallbackParameter(int n)`
`SV`
ScriptParam.`getContextVariableAsVariable(String var, boolean isLocal)`
`SV`
ScriptEval.`getUserFunctionResult(String name, Lst<SV> params, SV tokenAtom)`
`SV`
ScriptContext.`getVariable(String var)`
Context variables go up the stack until a function is found.
`static SV`
SV.`getVariable(Object x)`
`static SV`
SV.`getVariableAD(double[] f)`
`static SV`
SV.`getVariableList(Lst<?> v)`
`static SV`
SV.`getVariableMap(Map<String,?> x)`
`SV`
ScriptMathProcessor.`getX()`
`SV`
SV.`mapGet(String key)`
`static SV`
SV.`newF(float f)`
`static SV`
SV.`newI(int i)`
`static SV`
SV.`newS(String s)`
`static SV`
SV.`newT(T x)`
`static SV`
SV.`newV(int tok, Object value)`
`SV`
SV.`pushPop(SV mapKey, SV value)`
Script variables are pushed after cloning, because the name comes with them when we do otherwise they are not mutable anyway.
`static SV`
ScriptEval.`runUserAction(String functionName, Object[] params, Viewer vwr)`
`SV`
SV.`setName(String name)`
`SV`
SV.`sortMapArray(String key)`
`SV`
SV.`sortOrReverse(int arrayPt)`
`SV`
SV.`toArray()`
Methods in org.jmol.script that return types with arguments of type SV
Modifier and Type
Method
Description
`Map<String,SV>`
ScriptContext.`getFullMap()`
`Lst<SV>`
SV.`getList()`
`Map<String,SV>`
SV.`getMap()`
Methods in org.jmol.script with parameters of type SV
Modifier and Type
Method
Description
`boolean`
ScriptMathProcessor.`addX(SV x)`
`boolean`
ScriptMathProcessor.`addXAV(SV[] x)`
`boolean`
ScriptMathProcessor.`addXCopy(SV x)`
`static boolean`
SV.`areEqual(SV x1, SV x2)`
For legacy reasons, "x" == "X" but see isLike()
`SV`
SV.`arrayToList(SV target)`
`boolean`
ScriptMathProcessor.`binaryOp(T op, SV x1, SV x2)`
`int`
SV.Sort.`compare(SV x, SV y)`
`static SV`
SV.`concatList(SV x1, SV x2, boolean asNew)`
`static SV`
SV.`copySafely(SV v)`
Make a copy if this is a variable -- if it has myName != null.
`static Object`
SV.`format(SV[] args, int pt)`
Accepts arguments from the format() function First argument is a format string.
`static BS`
SV.`getBitSet(SV x, boolean allowNull)`
`static Object`
SV.`getFormat(SV sv, int pt)`
`SV`
ScriptEval.`getUserFunctionResult(String name, Lst<SV> params, SV tokenAtom)`
`static boolean`
SV.`isLike(SV x1, SV x2)`
a LIKE "x" a is a string and equals x a LIKE "*x" a is a string and ends with x a LIKE "x*" a is a string and starts with x a LIKE "*x*" a is a string and contains x
`static boolean`
SV.`isScalar(SV x)`
`void`
SV.`mapPut(String key, SV v)`
`boolean`
ScriptMathProcessor.`propOp(T op, SV x2)`
`static P4`
SV.`pt4Value(SV x)`
`P3`
ScriptMathProcessor.`ptValue(SV x, BS bsRestrict)`
`static P3`
SV.`ptValue(SV x)`
`SV`
SV.`pushPop(SV mapKey, SV value)`
Script variables are pushed after cloning, because the name comes with them when we do otherwise they are not mutable anyway.
`static Object`
SV.`sprintf(String strFormat, SV var)`
Method parameters in org.jmol.script with type arguments of type SV
Modifier and Type
Method
Description
`boolean`
ScriptEval.`checkSelect(Map<String,SV> h, T[] where)`
Check a map for a WHERE phrase
`void`
ScriptEval.`cmdScript(int tok, String filename, String theScript, Lst<SV> params)`
`SV`
ScriptEval.`getUserFunctionResult(String name, Lst<SV> params, SV tokenAtom)`

## Uses of SV in org.jmol.scriptext

Methods in org.jmol.scriptext with parameters of type SV
Modifier and Type
Method
Description
`boolean`
MathExt.`evaluate(ScriptMathProcessor mp, T op, SV[] args, int tok)`
`Lst<Object>`
CmdExt.`prepareBinaryOutput(SV tvar)`

## Uses of SV in org.jmol.util

Method parameters in org.jmol.util with type arguments of type SV
Modifier and Type
Method
Description
`static String`
Escape.`eV(Lst<SV> list)`

## Uses of SV in org.jmol.viewer

Methods in org.jmol.viewer that return SV
Modifier and Type
Method
Description
`SV`
Viewer.`evaluateExpressionAsVariable(Object stringOrTokens)`
`SV`
GlobalSettings.`getAndSetNewVariable(String name, boolean doSet)`
`SV`
Viewer.`jsEvalSV(String strEval)`
`SV`
GlobalSettings.`setUserVariable(String key, SV var)`
Methods in org.jmol.viewer with parameters of type SV
Modifier and Type
Method
Description
`String`
Viewer.`getAnnotationInfo(SV d, String match, int type)`
`SV`
GlobalSettings.`setUserVariable(String key, SV var)`
Method parameters in org.jmol.viewer with type arguments of type SV
Modifier and Type
Method
Description
`boolean`
Viewer.`checkSelect(Map<String,SV> h, T[] value)`
`static String`
StateManager.`getVariableList(Map<String,SV> htVariables, int nMax, boolean withSites, boolean definedOnly)`